Skip to content
Execution

SEO campaigns

Auto SEO and Full SEO campaigns. Campaigns are created as drafts; launching starts billing and happens in the dashboard.

GET/api/v1/campaignsRead key

List campaigns

Authentication: Bearer API key in the Authorization header.

Request
curl "https://rankspire.tech/api/v1/campaigns" \
  -H "Authorization: Bearer $RANKSPIRE_KEY"
Response
{ "data": [{ "id": "cm1cmp…", "name": "Example — Auto SEO", "type": "autoseo", "status": "active", "stage": "monitor", "progress": 68 }] }
POST/api/v1/campaignsRead & write key

Create a draft campaign

Authentication: Bearer API key in the Authorization header.

Parameters
ParameterInTypeDescription
websiteId*bodystringWebsite
type*bodyautoseo | fullseoCampaign type
keywordModebodyai | manualFull SEO only
authorityTargetbodymixed | high | medium | lowFull SEO only
addOnsbodystring[]content, premium_placements, additional_campaign, reporting, technical
targetKeywordsbodyinteger5–200
Request
curl -X POST "https://rankspire.tech/api/v1/campaigns" \
  -H "Authorization: Bearer $RANKSPIRE_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "websiteId": "cm1site9x0001", "type": "fullseo", "keywordMode": "manual", "authorityTarget": "high", "addOns": ["content"], "targetKeywords": 40 }'
Response
{ "data": { "id": "cm1cmp…", "status": "draft", "monthlyPrice": 105800 } }
GET/api/v1/campaigns/{id}Read key

Campaign with keywords, tasks and placements

Authentication: Bearer API key in the Authorization header.

Request
curl "https://rankspire.tech/api/v1/campaigns/cm1site9x0001" \
  -H "Authorization: Bearer $RANKSPIRE_KEY"
Response
{ "data": { "id": "cm1cmp…", "progress": 68, "keywords": [{ "keyword": "best hiking boots", "status": "approved", "position": 4 }], "tasks": [ ... ], "backlinks": [ ... ] } }